<ion-content scroll-y="false" force-overscroll="true">
  <ion-grid>
    <app-navigation-bar></app-navigation-bar>
    <ion-row>
      <ion-col class="boardLeft" size-md="9">
        <ion-row class="schedule board">
          <div style="width: 100%; display: flex; justify-content: flex-start; align-items: center;">
            <h2>Emplois du temps</h2>
            <ion-button (click)="handleNewCourse()" style="margin-left: 2rem;" color="success">Saisir un cours</ion-button>
            <ion-item *ngIf="selectedPromotion">
              <ion-label>Promotion ({{selectedPromotion.name}})</ion-label>
              <ion-select [formControl]="promotionControl" (ionChange)="handleScheduleChange($event)">
                <ion-select-option *ngFor="let promotion of promotions;" [value]='promotion["id"]'>{{ promotion.name }}</ion-select-option>
              </ion-select>
            </ion-item>
          </div>
          <ion-row class="scroll scrollSchedule" style="width: 100%">
            <ion-col size-md="2" *ngFor="let course of getCourses()">
              <ion-card>
                <ion-card-header>
                  <ion-card-subtitle>19/07/2021</ion-card-subtitle>
                  <ion-card-title>{{course.name}}</ion-card-title>
                </ion-card-header>
                <ion-card-content *ngIf="course.ref_skill">
                  ⭐ {{course.ref_skill.name}}
                </ion-card-content>
              </ion-card>
            </ion-col>
          </ion-row>
        </ion-row>

        <ion-row class="roadmap board">
          <ion-col class="roadmapList" >
            <h2>Feuille de route Formation</h2>
            <!-- List of Text Items -->
            <ion-list class="scroll scrollRoadmap">
              <ion-item>
                <ion-label>Pokémon Yellow</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Mega Man X</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>The Legend of Zelda</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Pac-Man</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Super Mario World</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Pokémon Yellow</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Mega Man X</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>The Legend of Zelda</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Pac-Man2</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Super Mario World</ion-label>
              </ion-item>
            </ion-list>
          </ion-col>

          <ion-col class="roadmapList">
            <h2>Feuille de route Entreprise</h2>
            <!-- List of Text Items -->
            <ion-list class="scroll scrollRoadmap">
              <ion-item>
                <ion-label>Pokémon Yellow</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Mega Man X</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>The Legend of Zelda</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Pac-Man</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Super Mario World</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Pokémon Yellow</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Mega Man X</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>The Legend of Zelda</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Pac-Man2</ion-label>
              </ion-item>
              <ion-item>
                <ion-label>Super Mario World</ion-label>
              </ion-item>
            </ion-list>
          </ion-col>
        </ion-row>

      </ion-col>

      <ion-col class="board skill " size-md="2">
        <ion-row>
          <h2>Compétences</h2>
          <ion-button (click)="newSkill()" color="success">Ajouter une compétence</ion-button>
          <ion-button (click)="evaluteSkill()" color="success">Evaluer une compétence</ion-button>
        </ion-row>

        <ion-row class="scroll scrollSkill">

          <ion-row>

            <h4>Formateur</h4>

            <ion-col *ngFor="let skill of graduationList" size-md="12">
              <ion-chip color="{{skill.graduation}}">
                <ion-label>{{skill.ref_skill.name}}</ion-label>
              </ion-chip>
            </ion-col>



          </ion-row>

          <ion-row>

            <h4>Maître</h4>

            <ion-col size-md="12">
              <ion-chip color="danger">
                <ion-label>Concevoir une base de données.</ion-label>
              </ion-chip>
            </ion-col>

            <ion-col size-md="12">
              <ion-chip color="success">
                <ion-label>Mettre en place une base de données</ion-label>
              </ion-chip>
            </ion-col>

            <ion-col size-md="12">
              <ion-chip color="warning">
                <ion-label>Développer des composants dans le langage d'une base de données. </ion-label>
              </ion-chip>
            </ion-col>

            <ion-col size-md="12">
              <ion-chip color="success">
                <ion-label>Utiliser l'anglais dans son activité professionnelle en informatique. </ion-label>
              </ion-chip>
            </ion-col>

            <ion-col size-md="12">
              <ion-chip color="warning">
                <ion-label>Développer des composants dans le langage d'une base de données. </ion-label>
              </ion-chip>
            </ion-col>

            <ion-col size-md="12">
              <ion-chip color="success">
                <ion-label>Utiliser l'anglais dans son activité professionnelle en informatique. </ion-label>
              </ion-chip>
            </ion-col>




          </ion-row>

        </ion-row>




      </ion-col>

    </ion-row>

  </ion-grid>








</ion-content>
